cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/deallocations" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"account": {
"code": "ACC0001"
}
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.deallocate_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
{"gift_certificate": {"account": {"code": "ACC0001"}}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.deallocateGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
gift_certificate: {account: {code: 'ACC0001'}},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->deallocateGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
['gift_certificate' => ['account' => ['code' => 'ACC0001']]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().deallocateGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("gift_certificate", Map.of("account", Map.of("code", "ACC0001"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.DeallocateGiftCertificateAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["account"] = new Dictionary<string, object?>
{
["code"] = "ACC0001",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.deallocateGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
{
'gift_certificate': {
'account': {'code': 'ACC0001'},
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().DeallocateGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{
"gift_certificate": map[string]any{
"account": map[string]any{"code": "ACC0001"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}Gift certificates
Deallocate a gift certificate from an account
Takes a gift certificate’s allocation back from an account and returns the certificate under gift_certificate.
POST
/
gift_certificates
/
{gc_id}
/
deallocations
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/gift_certificates/gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f/deallocations" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"gift_certificate": {
"account": {
"code": "ACC0001"
}
}
}'from exsited import build_client
client = build_client()
response = client.gift_certificates.deallocate_gift_certificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
{"gift_certificate": {"account": {"code": "ACC0001"}}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.giftCertificates.deallocateGiftCertificate('gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f', {
gift_certificate: {account: {code: 'ACC0001'}},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->giftCertificates->deallocateGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
['gift_certificate' => ['account' => ['code' => 'ACC0001']]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.gift_certificates.gift_certificates_dto.GiftCertificatesDto.GiftCertificate;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<GiftCertificate> response = client.giftCertificates().deallocateGiftCertificate(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
Map.of("gift_certificate", Map.of("account", Map.of("code", "ACC0001"))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.GiftCertificates.DeallocateGiftCertificateAsync(
"gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f",
new Dictionary<string, object?>
{
["gift_certificate"] = new Dictionary<string, object?>
{
["account"] = new Dictionary<string, object?>
{
["code"] = "ACC0001",
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.giftCertificates.deallocateGiftCertificate(
'gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f',
{
'gift_certificate': {
'account': {'code': 'ACC0001'},
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.GiftCertificates().DeallocateGiftCertificate(context.Background(), "gc_5b2e8f1a7c3d4e9b0a6f2c4d8e1b3a7f", map[string]any{
"gift_certificate": map[string]any{
"account": map[string]any{"code": "ACC0001"},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"gift_certificate": {
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"activity_logs": [
{
"activity": "<string>"
}
],
"allocations": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"created_by": "<unknown>",
"created_on": "<string>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"amount": "<string>",
"code": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"expiry_date": "<string>",
"href": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"linked_item": "<unknown>",
"object": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"transactions": [
{
"accounting_code": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"amount": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"currency": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"date": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"object": "<string>",
"reference": "<unknown>",
"status": "<string>",
"type": "<string>",
"version": 123
}
],
"used_amount": "<string>",
"version": 123
}
}Send the same body the allocate call takes, naming the account under
gift_certificate.account. The allocation stays in allocations with a changed type or status.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The gift certificate's id.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The gift certificate with its allocations, under gift_certificate.
Show child attributes
Show child attributes